package com.pokkt.demo.fragments.Wrapper;

import java.util.ArrayList;
import java.util.List;

public class NetworkDetails {

    public static final List<NetworkItem> ITEMS = new ArrayList<>();

    private static final int COUNT = 2;

    static {
        for (int i = 1; i <= COUNT; i++) {
            addItem(createNetworkItem(i));
        }
    }

    private static void addItem(NetworkItem item) {
        ITEMS.add(item);
    }

    private static NetworkItem createNetworkItem(int position) {
        switch (position) {
            case 2:
                return new NetworkItem(position, "Test MoPub");
            default:
                return new NetworkItem(position, "Test AdMob");
        }
    }

    /**
     * Ad Network item representing a piece of ad network name.
     */
    public static class NetworkItem {
        public final int id;
        public final String content;

        NetworkItem(int id, String content) {
            this.id = id;
            this.content = content;
        }

        @Override
        public String toString() {
            return content;
        }
    }
}
